import dynamix_sdk.base as _base


class CloudbrokerAccountDeleteAccountsResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerAccountDeleteAccountsProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_accounts(
        self,
        *,
        account_ids: list[int],
        permanently: bool = False,
    ) -> CloudbrokerAccountDeleteAccountsResultStr:
        ...
